evision: 01.00 $
##
##  PURPOSE     Load a generic file from tape
##  DATE--------LOGNAME------COMMENT-----------------------------------------
##  06/09/94    sys_mdp      Mike Plunkett
##  04/04/96    sys_mdp      Use symlinks for tapeunits.
##

        if [ "$1" = "-?" ]
        then
                echo "usage:  load.tape [-r recsize] [-b blocksize] [-f diskfilename] [-t tapedev]"
                echo "        default recsize       = 1"
                echo "        default blocksize     = 1"
                echo "        default diskfilename  = load.tape.file"
                echo "        default tapedev       = /dev/rmt/0m"

                exit 1
        fi
        SCRIPT="`basename $0`"

        echo "Start $SCRIPT $*"
        #set -x;:;: MAINLINE

        :;: DEFAULTS
        RECSIZE=1  
        BLOCKSIZE=1
        FILENAME=load.tape.file    
        TAPEDEV=/dev/rmt/0m
        :;: DETERMINE OPTIONS
        set -
        while [ "$#" != "0" ]
        do
                case $1 in
                -r)
                        RECSIZE=$2
                        ;;
                -b)
                        BLOCKSIZE=$2
                        ;;
                -f)
                        FILENAME=$2
                        ;;
                -t)
                        TAPEDEV=$2
                        ;;
                esac
                shift
        done
        echo
        echo "TAPEDEV=$TAPEDEV"
        echo "FILENAME=$FILENAME"
        echo "BLOCKSIZE=$BLOCKSIZE"
        echo "RECSIZE=$RECSIZE"
        echo
        newver -n $FILENAME # if file exists, rename to old version

        set -x
        :;:;: LOAD from TAPE to DISK ###################################
        dd if=$TAPEDEV of=$FILENAME bs=$BLOCKSIZE cbs=$RECSIZE conv=unblock 
        :;##############################################################

        :;: number of unix records;             wc -l $FILENAME
        :;: This is what we loaded from tape;   ll $FILENAME    

        set -
        echo "End $SCRIPT $*"

